1. Packages
  2. Azure Native
  3. API Docs
  4. netapp
  5. ElasticAccount
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi

    NetApp elastic account resource

    Uses Azure REST API version 2025-09-01-preview.

    Example Usage

    ElasticAccounts_CreateOrUpdate

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var elasticAccount = new AzureNative.NetApp.ElasticAccount("elasticAccount", new()
        {
            AccountName = "account1",
            Location = "eastus",
            Properties = null,
            ResourceGroupName = "myRG",
            Tags = 
            {
                { "ac-tag1", "account1" },
            },
        });
    
    });
    
    package main
    
    import (
    	netapp "github.com/pulumi/pulumi-azure-native-sdk/netapp/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := netapp.NewElasticAccount(ctx, "elasticAccount", &netapp.ElasticAccountArgs{
    			AccountName:       pulumi.String("account1"),
    			Location:          pulumi.String("eastus"),
    			Properties:        &netapp.ElasticAccountPropertiesArgs{},
    			ResourceGroupName: pulumi.String("myRG"),
    			Tags: pulumi.StringMap{
    				"ac-tag1": pulumi.String("account1"),
    			},
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.netapp.ElasticAccount;
    import com.pulumi.azurenative.netapp.ElasticAccountArgs;
    import com.pulumi.azurenative.netapp.inputs.ElasticAccountPropertiesArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var elasticAccount = new ElasticAccount("elasticAccount", ElasticAccountArgs.builder()
                .accountName("account1")
                .location("eastus")
                .properties(ElasticAccountPropertiesArgs.builder()
                    .build())
                .resourceGroupName("myRG")
                .tags(Map.of("ac-tag1", "account1"))
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const elasticAccount = new azure_native.netapp.ElasticAccount("elasticAccount", {
        accountName: "account1",
        location: "eastus",
        properties: {},
        resourceGroupName: "myRG",
        tags: {
            "ac-tag1": "account1",
        },
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    elastic_account = azure_native.netapp.ElasticAccount("elasticAccount",
        account_name="account1",
        location="eastus",
        properties={},
        resource_group_name="myRG",
        tags={
            "ac-tag1": "account1",
        })
    
    resources:
      elasticAccount:
        type: azure-native:netapp:ElasticAccount
        properties:
          accountName: account1
          location: eastus
          properties: {}
          resourceGroupName: myRG
          tags:
            ac-tag1: account1
    

    Create ElasticAccount Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ElasticAccount(name: string, args: ElasticAccountArgs, opts?: CustomResourceOptions);
    @overload
    def ElasticAccount(resource_name: str,
                       args: ElasticAccountArgs,
                       opts: Optional[ResourceOptions] = None)
    
    @overload
    def ElasticAccount(resource_name: str,
                       opts: Optional[ResourceOptions] = None,
                       resource_group_name: Optional[str] = None,
                       account_name: Optional[str] = None,
                       identity: Optional[ManagedServiceIdentityArgs] = None,
                       location: Optional[str] = None,
                       properties: Optional[ElasticAccountPropertiesArgs] = None,
                       tags: Optional[Mapping[str, str]] = None)
    func NewElasticAccount(ctx *Context, name string, args ElasticAccountArgs, opts ...ResourceOption) (*ElasticAccount, error)
    public ElasticAccount(string name, ElasticAccountArgs args, CustomResourceOptions? opts = null)
    public ElasticAccount(String name, ElasticAccountArgs args)
    public ElasticAccount(String name, ElasticAccountArgs args, CustomResourceOptions options)
    
    type: azure-native:netapp:ElasticAccount
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ElasticAccountArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ElasticAccountArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ElasticAccountArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ElasticAccountArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ElasticAccountArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var elasticAccountResource = new AzureNative.NetApp.ElasticAccount("elasticAccountResource", new()
    {
        ResourceGroupName = "string",
        AccountName = "string",
        Identity = new AzureNative.NetApp.Inputs.ManagedServiceIdentityArgs
        {
            Type = "string",
            UserAssignedIdentities = new[]
            {
                "string",
            },
        },
        Location = "string",
        Properties = new AzureNative.NetApp.Inputs.ElasticAccountPropertiesArgs
        {
            Encryption = new AzureNative.NetApp.Inputs.ElasticEncryptionArgs
            {
                Identity = new AzureNative.NetApp.Inputs.ElasticEncryptionIdentityArgs
                {
                    UserAssignedIdentity = "string",
                },
                KeySource = "string",
                KeyVaultProperties = new AzureNative.NetApp.Inputs.ElasticKeyVaultPropertiesArgs
                {
                    KeyName = "string",
                    KeyVaultResourceId = "string",
                    KeyVaultUri = "string",
                },
            },
        },
        Tags = 
        {
            { "string", "string" },
        },
    });
    
    example, err := netapp.NewElasticAccount(ctx, "elasticAccountResource", &netapp.ElasticAccountArgs{
    	ResourceGroupName: pulumi.String("string"),
    	AccountName:       pulumi.String("string"),
    	Identity: &netapp.ManagedServiceIdentityArgs{
    		Type: pulumi.String("string"),
    		UserAssignedIdentities: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    	},
    	Location: pulumi.String("string"),
    	Properties: &netapp.ElasticAccountPropertiesArgs{
    		Encryption: &netapp.ElasticEncryptionArgs{
    			Identity: &netapp.ElasticEncryptionIdentityArgs{
    				UserAssignedIdentity: pulumi.String("string"),
    			},
    			KeySource: pulumi.String("string"),
    			KeyVaultProperties: &netapp.ElasticKeyVaultPropertiesArgs{
    				KeyName:            pulumi.String("string"),
    				KeyVaultResourceId: pulumi.String("string"),
    				KeyVaultUri:        pulumi.String("string"),
    			},
    		},
    	},
    	Tags: pulumi.StringMap{
    		"string": pulumi.String("string"),
    	},
    })
    
    var elasticAccountResource = new ElasticAccount("elasticAccountResource", ElasticAccountArgs.builder()
        .resourceGroupName("string")
        .accountName("string")
        .identity(ManagedServiceIdentityArgs.builder()
            .type("string")
            .userAssignedIdentities("string")
            .build())
        .location("string")
        .properties(ElasticAccountPropertiesArgs.builder()
            .encryption(ElasticEncryptionArgs.builder()
                .identity(ElasticEncryptionIdentityArgs.builder()
                    .userAssignedIdentity("string")
                    .build())
                .keySource("string")
                .keyVaultProperties(ElasticKeyVaultPropertiesArgs.builder()
                    .keyName("string")
                    .keyVaultResourceId("string")
                    .keyVaultUri("string")
                    .build())
                .build())
            .build())
        .tags(Map.of("string", "string"))
        .build());
    
    elastic_account_resource = azure_native.netapp.ElasticAccount("elasticAccountResource",
        resource_group_name="string",
        account_name="string",
        identity={
            "type": "string",
            "user_assigned_identities": ["string"],
        },
        location="string",
        properties={
            "encryption": {
                "identity": {
                    "user_assigned_identity": "string",
                },
                "key_source": "string",
                "key_vault_properties": {
                    "key_name": "string",
                    "key_vault_resource_id": "string",
                    "key_vault_uri": "string",
                },
            },
        },
        tags={
            "string": "string",
        })
    
    const elasticAccountResource = new azure_native.netapp.ElasticAccount("elasticAccountResource", {
        resourceGroupName: "string",
        accountName: "string",
        identity: {
            type: "string",
            userAssignedIdentities: ["string"],
        },
        location: "string",
        properties: {
            encryption: {
                identity: {
                    userAssignedIdentity: "string",
                },
                keySource: "string",
                keyVaultProperties: {
                    keyName: "string",
                    keyVaultResourceId: "string",
                    keyVaultUri: "string",
                },
            },
        },
        tags: {
            string: "string",
        },
    });
    
    type: azure-native:netapp:ElasticAccount
    properties:
        accountName: string
        identity:
            type: string
            userAssignedIdentities:
                - string
        location: string
        properties:
            encryption:
                identity:
                    userAssignedIdentity: string
                keySource: string
                keyVaultProperties:
                    keyName: string
                    keyVaultResourceId: string
                    keyVaultUri: string
        resourceGroupName: string
        tags:
            string: string
    

    ElasticAccount Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ElasticAccount resource accepts the following input properties:

    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    AccountName string
    The name of the ElasticAccount
    Identity Pulumi.AzureNative.NetApp.Inputs.ManagedServiceIdentity
    The managed service identities assigned to this resource.
    Location string
    The geo-location where the resource lives
    Properties Pulumi.AzureNative.NetApp.Inputs.ElasticAccountProperties
    The resource-specific properties for this resource.
    Tags Dictionary<string, string>
    Resource tags.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    AccountName string
    The name of the ElasticAccount
    Identity ManagedServiceIdentityArgs
    The managed service identities assigned to this resource.
    Location string
    The geo-location where the resource lives
    Properties ElasticAccountPropertiesArgs
    The resource-specific properties for this resource.
    Tags map[string]string
    Resource tags.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    accountName String
    The name of the ElasticAccount
    identity ManagedServiceIdentity
    The managed service identities assigned to this resource.
    location String
    The geo-location where the resource lives
    properties ElasticAccountProperties
    The resource-specific properties for this resource.
    tags Map<String,String>
    Resource tags.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    accountName string
    The name of the ElasticAccount
    identity ManagedServiceIdentity
    The managed service identities assigned to this resource.
    location string
    The geo-location where the resource lives
    properties ElasticAccountProperties
    The resource-specific properties for this resource.
    tags {[key: string]: string}
    Resource tags.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    account_name str
    The name of the ElasticAccount
    identity ManagedServiceIdentityArgs
    The managed service identities assigned to this resource.
    location str
    The geo-location where the resource lives
    properties ElasticAccountPropertiesArgs
    The resource-specific properties for this resource.
    tags Mapping[str, str]
    Resource tags.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    accountName String
    The name of the ElasticAccount
    identity Property Map
    The managed service identities assigned to this resource.
    location String
    The geo-location where the resource lives
    properties Property Map
    The resource-specific properties for this resource.
    tags Map<String>
    Resource tags.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ElasticAccount resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.NetApp.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    eTag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    e_tag str
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    ElasticAccountProperties, ElasticAccountPropertiesArgs

    NetApp elastic account properties
    Encryption ElasticEncryption
    Encryption settings
    encryption ElasticEncryption
    Encryption settings
    encryption ElasticEncryption
    Encryption settings
    encryption ElasticEncryption
    Encryption settings
    encryption Property Map
    Encryption settings

    ElasticAccountPropertiesResponse, ElasticAccountPropertiesResponseArgs

    NetApp elastic account properties
    ProvisioningState string
    Azure lifecycle management.
    Encryption ElasticEncryptionResponse
    Encryption settings
    provisioningState String
    Azure lifecycle management.
    encryption ElasticEncryptionResponse
    Encryption settings
    provisioningState string
    Azure lifecycle management.
    encryption ElasticEncryptionResponse
    Encryption settings
    provisioning_state str
    Azure lifecycle management.
    encryption ElasticEncryptionResponse
    Encryption settings
    provisioningState String
    Azure lifecycle management.
    encryption Property Map
    Encryption settings

    ElasticEncryption, ElasticEncryptionArgs

    Encryption settings
    Identity Pulumi.AzureNative.NetApp.Inputs.ElasticEncryptionIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeySource string | Pulumi.AzureNative.NetApp.KeySource
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    KeyVaultProperties Pulumi.AzureNative.NetApp.Inputs.ElasticKeyVaultProperties
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    Identity ElasticEncryptionIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeySource string | KeySource
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    KeyVaultProperties ElasticKeyVaultProperties
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource String | KeySource
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties ElasticKeyVaultProperties
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource string | KeySource
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties ElasticKeyVaultProperties
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentity
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    key_source str | KeySource
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    key_vault_properties ElasticKeyVaultProperties
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity Property Map
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource String | "Microsoft.NetApp" | "Microsoft.KeyVault"
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties Property Map
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.

    ElasticEncryptionIdentity, ElasticEncryptionIdentityArgs

    Identity used to authenticate with key vault.
    UserAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    UserAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity String
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    user_assigned_identity str
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    userAssignedIdentity String
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.

    ElasticEncryptionIdentityResponse, ElasticEncryptionIdentityResponseArgs

    Identity used to authenticate with key vault.
    PrincipalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    UserAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    PrincipalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    UserAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId String
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity String
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId string
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity string
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principal_id str
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    user_assigned_identity str
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
    principalId String
    The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
    userAssignedIdentity String
    The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.

    ElasticEncryptionResponse, ElasticEncryptionResponseArgs

    Encryption settings
    Identity Pulumi.AzureNative.NetApp.Inputs.ElasticEncryptionIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeySource string
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    KeyVaultProperties Pulumi.AzureNative.NetApp.Inputs.ElasticKeyVaultPropertiesResponse
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    Identity ElasticEncryptionIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    KeySource string
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    KeyVaultProperties ElasticKeyVaultPropertiesResponse
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource String
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties ElasticKeyVaultPropertiesResponse
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource string
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties ElasticKeyVaultPropertiesResponse
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity ElasticEncryptionIdentityResponse
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    key_source str
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    key_vault_properties ElasticKeyVaultPropertiesResponse
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    identity Property Map
    Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
    keySource String
    The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
    keyVaultProperties Property Map
    Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.

    ElasticKeyVaultProperties, ElasticKeyVaultPropertiesArgs

    Properties of key vault.
    KeyName string
    The name of KeyVault key.
    KeyVaultResourceId string
    The resource ID of KeyVault.
    KeyVaultUri string
    The Uri of KeyVault.
    KeyName string
    The name of KeyVault key.
    KeyVaultResourceId string
    The resource ID of KeyVault.
    KeyVaultUri string
    The Uri of KeyVault.
    keyName String
    The name of KeyVault key.
    keyVaultResourceId String
    The resource ID of KeyVault.
    keyVaultUri String
    The Uri of KeyVault.
    keyName string
    The name of KeyVault key.
    keyVaultResourceId string
    The resource ID of KeyVault.
    keyVaultUri string
    The Uri of KeyVault.
    key_name str
    The name of KeyVault key.
    key_vault_resource_id str
    The resource ID of KeyVault.
    key_vault_uri str
    The Uri of KeyVault.
    keyName String
    The name of KeyVault key.
    keyVaultResourceId String
    The resource ID of KeyVault.
    keyVaultUri String
    The Uri of KeyVault.

    ElasticKeyVaultPropertiesResponse, ElasticKeyVaultPropertiesResponseArgs

    Properties of key vault.
    Status string
    Status of the KeyVault connection.
    KeyName string
    The name of KeyVault key.
    KeyVaultResourceId string
    The resource ID of KeyVault.
    KeyVaultUri string
    The Uri of KeyVault.
    Status string
    Status of the KeyVault connection.
    KeyName string
    The name of KeyVault key.
    KeyVaultResourceId string
    The resource ID of KeyVault.
    KeyVaultUri string
    The Uri of KeyVault.
    status String
    Status of the KeyVault connection.
    keyName String
    The name of KeyVault key.
    keyVaultResourceId String
    The resource ID of KeyVault.
    keyVaultUri String
    The Uri of KeyVault.
    status string
    Status of the KeyVault connection.
    keyName string
    The name of KeyVault key.
    keyVaultResourceId string
    The resource ID of KeyVault.
    keyVaultUri string
    The Uri of KeyVault.
    status str
    Status of the KeyVault connection.
    key_name str
    The name of KeyVault key.
    key_vault_resource_id str
    The resource ID of KeyVault.
    key_vault_uri str
    The Uri of KeyVault.
    status String
    Status of the KeyVault connection.
    keyName String
    The name of KeyVault key.
    keyVaultResourceId String
    The resource ID of KeyVault.
    keyVaultUri String
    The Uri of KeyVault.

    KeySource, KeySourceArgs

    Microsoft_NetApp
    Microsoft.NetApp Microsoft-managed key encryption
    Microsoft_KeyVault
    Microsoft.KeyVault Customer-managed key encryption
    KeySource_Microsoft_NetApp
    Microsoft.NetApp Microsoft-managed key encryption
    KeySource_Microsoft_KeyVault
    Microsoft.KeyVault Customer-managed key encryption
    Microsoft_NetApp
    Microsoft.NetApp Microsoft-managed key encryption
    Microsoft_KeyVault
    Microsoft.KeyVault Customer-managed key encryption
    Microsoft_NetApp
    Microsoft.NetApp Microsoft-managed key encryption
    Microsoft_KeyVault
    Microsoft.KeyVault Customer-managed key encryption
    MICROSOFT_NET_APP
    Microsoft.NetApp Microsoft-managed key encryption
    MICROSOFT_KEY_VAULT
    Microsoft.KeyVault Customer-managed key encryption
    "Microsoft.NetApp"
    Microsoft.NetApp Microsoft-managed key encryption
    "Microsoft.KeyVault"
    Microsoft.KeyVault Customer-managed key encryption

    ManagedServiceIdentity, ManagedServiceIdentityArgs

    Managed service identity (system assigned and/or user assigned identities)
    Type string | Pulumi.AzureNative.NetApp.ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities List<string>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    Type string | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities []string
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type String | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities List<String>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type string | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities string[]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type str | ManagedServiceIdentityType
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    user_assigned_identities Sequence[str]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    type String | "None" | "SystemAssigned" | "UserAssigned" | "SystemAssigned,UserAssigned"
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities List<String>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

    ManagedServiceIdentityResponse, ManagedServiceIdentityResponseArgs

    Managed service identity (system assigned and/or user assigned identities)
    PrincipalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    TenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    Type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities Dictionary<string, Pulumi.AzureNative.NetApp.Inputs.UserAssignedIdentityResponse>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    PrincipalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    TenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    Type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    UserAssignedIdentities map[string]UserAssignedIdentityResponse
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId String
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId String
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type String
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities Map<String,UserAssignedIdentityResponse>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId string
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId string
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type string
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities {[key: string]: UserAssignedIdentityResponse}
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principal_id str
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenant_id str
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type str
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    user_assigned_identities Mapping[str, UserAssignedIdentityResponse]
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
    principalId String
    The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
    tenantId String
    The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
    type String
    Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
    userAssignedIdentities Map<Property Map>
    The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

    ManagedServiceIdentityType, ManagedServiceIdentityTypeArgs

    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    ManagedServiceIdentityTypeNone
    None
    ManagedServiceIdentityTypeSystemAssigned
    SystemAssigned
    ManagedServiceIdentityTypeUserAssigned
    UserAssigned
    ManagedServiceIdentityType_SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    None
    None
    SystemAssigned
    SystemAssigned
    UserAssigned
    UserAssigned
    SystemAssigned_UserAssigned
    SystemAssigned,UserAssigned
    NONE
    None
    SYSTEM_ASSIGNED
    SystemAssigned
    USER_ASSIGNED
    UserAssigned
    SYSTEM_ASSIGNED_USER_ASSIGNED
    SystemAssigned,UserAssigned
    "None"
    None
    "SystemAssigned"
    SystemAssigned
    "UserAssigned"
    UserAssigned
    "SystemAssigned,UserAssigned"
    SystemAssigned,UserAssigned

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    UserAssignedIdentityResponse, UserAssignedIdentityResponseArgs

    User assigned identity properties
    ClientId string
    The client ID of the assigned identity.
    PrincipalId string
    The principal ID of the assigned identity.
    ClientId string
    The client ID of the assigned identity.
    PrincipalId string
    The principal ID of the assigned identity.
    clientId String
    The client ID of the assigned identity.
    principalId String
    The principal ID of the assigned identity.
    clientId string
    The client ID of the assigned identity.
    principalId string
    The principal ID of the assigned identity.
    client_id str
    The client ID of the assigned identity.
    principal_id str
    The principal ID of the assigned identity.
    clientId String
    The client ID of the assigned identity.
    principalId String
    The principal ID of the assigned identity.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:netapp:ElasticAccount account1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/elasticAccounts/{accountName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi
      Meet Neo: Your AI Platform Teammate